<?php
/**
* SEF Advance Xmap extension
*
* This extension will give the SEF Advance style URLs to the Xmap
* Place this file (sef_ext.php) in the main component directory
*
* Copyright (C) 2008 Emir Sakic, http://www.sakic.net, All rights reserved.
*
* Comments: tested with Xmap 1.2
**/

class sef_xmap {

	/**
	* Creates the SEF Advance URL out of the request
	* Input: $string, string, The request URL (index.php?option=com_xmap&Itemid=$Itemid)
	* Output: $sefstring, string, SEF Advance URL ($sitemap/)
	**/
	function create ($string) {
		// $string == "index.php?option=com_xmap&Itemid=$Itemid&sitemap=$sitemap"
		$sefstring = '';
		if (eregi('&amp;sitemap=',$string)) {
			$temp = explode('&amp;sitemap=', $string);
			$temp = explode('&', $temp[1]);
			$sefstring .= $temp[0].'/';
		}
		// $sefstring == "$sitemap/"
		return $sefstring;
	}

	/**
	* Reverts to the query string out of the SEF Advance URL
	* Input:
	*    $url_array, array, The SEF Advance URL split in arrays
	*    $pos, int, The position offset for virtual directories (first virtual directory, which is the component name, begins at $pos+1)
	* Output: $QUERY_STRING, string, query string (sitemap=$sitemap)
	**/
	function revert ($url_array, $pos) {
		if (( ini_get('register_globals')==1 && (!defined('RG_EMULATION') || RG_EMULATION==1) ) ||
			( ini_get('register_globals')==0 && (defined('RG_EMULATION') && RG_EMULATION==1) ) ) {
			// if register globals on, emulation on OR register globals off, emulation on
			// then define all variables you pass as globals
			global $sitemap;
		}
 		// Examine the SEF Advance URL and extract the variables building the query string
		$QUERY_STRING = '';
		if (isset($url_array[$pos+2]) && $url_array[$pos+2]!='') {
			// .../xmap/$sitemap/
			$sitemap = $url_array[$pos+2];
			$_GET['sitemap'] = $_REQUEST['sitemap'] = $sitemap;
			$QUERY_STRING .= "&sitemap=$sitemap";
		}
		// $QUERY_STRING == "sitemap=$sitemap";
		return $QUERY_STRING;
	}

}
?>